C........FILE NAME dudray.for
C	PROG TO TEST DUDENEY ELECTRON S/R FOR USE IN JONES RAYTRACING PROG
c-----last modified 23-mar-87
	REAL M3000
	real*8 x,pxpr
	character*8 modx
	COMMON / XX / MODX(2),X,PXPR
	common/iondat/fof2,fof1,foe,hff2,m3000,hme,yme,
     a  hmf2,ymf2,h0,xd,dv
	EARTHR=6371.2
	f=1.
	WRITE(6,200)
200	FORMAT(//5X,'ENTER THE FOLLOWING IN FORMAT 12F5.0',
     A //5X,
     A '   FOF2,FOF1,FOE,HFF2,M3000,HME,YME,HMF2,YMF2,H0,XD,DV'//)
C	READ    FOF2,FOF1,FOE,HFF2,M3000,HME,YME,HMF2,YMF2,H0,XD,DV
10	CONTINUE
	read(5,100) fof2,fof1,foe,hff2,m3000,hme,yme,hmf2,ymf2,
     a  h0,xd,dv
	If(fof2.eq.0.) stop
100	FORMAT(12F5.0)
	ipass = 0
	DO 50 I=50,400
	h = FLOAT(I)
	CALL DUDNEY(ipass,f,h)
	ipass = 1
	X=dSQRT(X)
	WRITE(5,101) I,X,PXPR
50	CONTINUE
101	FORMAT(I5,F7.2,F10.3)
	GO TO 10
	END
